Begin OTP Registration
POST
/api/v1/otp/begin
const url = 'https://api.spartanauth.com/api/v1/otp/begin';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"transactionID":"example","OTPType":"none","destination":"example","sectorID":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.spartanauth.com/api/v1/otp/begin \ --header 'Content-Type: application/json' \ --data '{ "transactionID": "example", "OTPType": "none", "destination": "example", "sectorID": "example" }'Sends a one-time password to the authenticated user’s requested email address or phone number to begin enrolling an OTP factor. Requires a valid bearer token and returns a transactionID that must be used to finish registration.
Request Body
Section titled “Request Body ” Media type application/json
object
transactionID
string
OTPType
string
destination
email or phone number depending on OTPType
string
sectorID
string
Responses
Section titled “ Responses ”A successful response.
Media type application/json
object
transactionID
string
Example generated
{ "transactionID": "example"}default
Section titled “default ”An unexpected error response.
Media type application/json
object
code
integer format: int32
message
string
details
Array<object>
object
@type
string
key
additional properties
Example generated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}